from pprint import pprint

from django.core.management.base import BaseCommand

from activate_account.factories import AccountDetailsFactory
from api.v1alpha.serializers import AccountSerializer


class Command(BaseCommand):
    help = "Initializes mock data for testing purposes"

    def handle(self, *args, **options):
        self.stdout.write(self.style.SUCCESS("Starting to initialize mock data..."))

        for _ in range(10):
            details = AccountDetailsFactory()
            print("Created user:")
            pprint(
                {
                    **AccountSerializer(details.account).data,
                    "registration_code": details.account.code,
                }
            )

        self.stdout.write(self.style.SUCCESS("Successfully initialized mock data."))
